Module javafx.controls
Package javafx.scene.control.skin

# Class ListCellSkin<T>

java.lang.Object
javafx.scene.control.SkinBase<ListCell<T>>
javafx.scene.control.skin.LabeledSkinBase<ListCell<T>>
javafx.scene.control.skin.CellSkinBase<ListCell<T>>
javafx.scene.control.skin.ListCellSkin<T>

Type Parameters:
  `T` - the type of the item contained within the ListCell

All Implemented Interfaces:
  `Skin<ListCell<T>>`

public class ListCellSkin<T> extends CellSkinBase<ListCell<T>>
Default skin implementation for the `ListCell` control.

Since:
  9
See Also:
  - `ListCell`

- ## Property Summary

  ### Properties declared in class javafx.scene.control.skin.CellSkinBase

  `cellSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListCellSkin(ListCell<T> control)`
  Creates a new ListCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  ### Methods declared in class javafx.scene.control.skin.CellSkinBase

  `cellSizeProperty, getCellSize, getClassCssMetaData`

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Constructor Details

  - ### ListCellSkin

    public ListCellSkin(ListCell<T> control)
    Creates a new ListCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.